commit:     5da532124afc41c60e58190c0a616c58c5bb9c9a
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Nov 22 22:31:21 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Nov 22 23:04:21 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5da53212

dev-python/rope: Bump to 0.22.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/rope/Manifest           |  1 +
 dev-python/rope/rope-0.22.0.ebuild | 41 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 42 insertions(+)

diff --git a/dev-python/rope/Manifest b/dev-python/rope/Manifest
index 015118a67749..a52b96d5b9e7 100644
--- a/dev-python/rope/Manifest
+++ b/dev-python/rope/Manifest
@@ -1 +1,2 @@
 DIST rope-0.21.0.tar.gz 256456 BLAKE2B 
f9ed997933794caaeaee7c9951ea46c1fc50983f93433b227151366f720198f96966faa28993d2a8a54e667a34cc318c322068bc47fd38789c9604aea9586c53
 SHA512 
b1b882087b235849b04beeb85c253eecdcc06e0d75ba54975db9c4e60e68178f7acb87a58a9a24dc942994cfbfc3662e05000d00965278697b0db412411b4c44
+DIST rope-0.22.0.tar.gz 260138 BLAKE2B 
11aff47af50225d66ade44a63a2c747bc11f0adcec1abed2dff71466f088f1460b3eec541db326af545f89907eb9d4f518c24ec8a445ca07b3116573883123ec
 SHA512 
ead82eba834890d90a6972cc432d153b977a123588621712b50decf1f1bfff03cd411e3615dff63a5272cf4a46b32791ea625f30e3dfdf9d1969081a99544396

diff --git a/dev-python/rope/rope-0.22.0.ebuild 
b/dev-python/rope/rope-0.22.0.ebuild
new file mode 100644
index 000000000000..b734b2e0002c
--- /dev/null
+++ b/dev-python/rope/rope-0.22.0.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
+inherit distutils-r1
+
+DESCRIPTION="Python refactoring library"
+HOMEPAGE="https://github.com/python-rope/rope";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="LGPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc"
+
+# Dependency for docbuild documentation which is not noted in
+# setup.py, using standard docutils builds docs successfully.
+BDEPEND="
+       doc? ( dev-python/docutils[${PYTHON_USEDEP}] )
+       test? ( dev-python/pytest-timeout[${PYTHON_USEDEP}] )"
+
+distutils_enable_tests pytest
+
+python_compile_all() {
+       if use doc; then
+               pushd docs > /dev/null || die
+               mkdir build || die
+               local i
+               for i in ./*.rst; do
+                       rst2html.py $i > ./build/${i/rst/html} || die
+               done
+               popd > /dev/null || die
+       fi
+}
+
+python_install_all() {
+       use doc && local HTML_DOCS=( docs/build/. )
+       distutils-r1_python_install_all
+}

Reply via email to